# Generated from fakes3test5-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fakes3test5

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Fake S3 is a server that simulates Amazon S3 commands so you can test your S3 functionality in your projects
License: Supported-Source
URL: https://github.com/jubos/fake-s3
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(aws-s3)
# BuildRequires: rubygem(right_aws)
# BuildRequires: rubygem(rest-client)
# BuildRequires: rubygem(aws-sdk) >= 2
# BuildRequires: rubygem(aws-sdk) < 3
# BuildRequires: rubygem(aws-sdk-v1)
# BuildRequires: rubygem(test-unit)
# BuildRequires: rubygem(mocha)
BuildArch: noarch

%description
Use Fake S3 to test basic Amazon S3 functionality without actually connecting
to AWS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/fakes3
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Dockerfile
%{gem_instdir}/ISSUE_TEMPLATE.md
%{gem_instdir}/Makefile
%{gem_instdir}/PULL_REQUEST_TEMPLATE.md
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/static
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/DEPLOY_README.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fakes3.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 1.2.0-1
- Initial package
